Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://api.ocean.security/api/v1/threats/by_internet_message_id/{id} \ --header 'X-Api-Key: <api-key>'
{ "results": [ { "detection_time": "1970-01-01T11:59:59.000Z", "id": "<string>", "recipient_email": "<string>", "recipient_name": "<string>", "remediation_time": "1970-01-01T11:59:59.000Z", "sender_email": "<string>", "sender_name": "<string>", "source": "<string>", "subject": "<string>", "threat_indicators": [ { "indicator_type": "<string>" } ], "threat_type": "<string>", "time": "1970-01-01T11:59:59.000Z" } ], "status": 123 }
Retrieves a list of threats sharing the same Internet Message ID.
API key for authentication
Authentication API Key
Unique Internet Message ID to search for threats
OK
Show child attributes